Bug 266542 - Implement a method of saving bugzilla's html output if something goes wrong with html parsing
Summary: Implement a method of saving bugzilla's html output if something goes wrong w...
Status: RESOLVED FIXED
Alias: None
Product: drkonqi
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Dario Andres
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-17 18:15 UTC by George Kiagiadakis
Modified: 2011-04-29 16:18 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description George Kiagiadakis 2011-02-17 18:15:26 UTC
Drkonqi should have a method to save bugzilla's html output and give it to the user for bug reporting if it cannot parse it.
Comment 1 George Kiagiadakis 2011-04-29 16:18:48 UTC
Git commit b3aacf5147e4a47b3ba7433648cb69b102e777a8 by George Kiagiadakis, on behalf of Dario Andres Rodriguez.
Committed on 29/04/2011 at 16:25.
Pushed by gkiagia into branch 'master'.

Implement a dialog to show unhandled Bugzilla errors.

I created a dialog that will show the RAW Bugzilla HTML output when
the response can't be parsed by DrKonqi. The user is encouraged to
perform the action again later or save the HTML data to submit a DrKonqi bug.

REVIEW: 100681
BUG: 266542

M  +1    -1    drkonqi/CMakeLists.txt     
M  +24   -18   drkonqi/bugzillalib.cpp     
M  +6    -6    drkonqi/bugzillalib.h     
M  +113  -5    drkonqi/reportassistantpages_bugzilla.cpp     
M  +17   -3    drkonqi/reportassistantpages_bugzilla.h     
M  +7    -5    drkonqi/reportinterface.cpp     
M  +2    -2    drkonqi/reportinterface.h     

http://commits.kde.org/kde-runtime/b3aacf5147e4a47b3ba7433648cb69b102e777a8